#ifndef INC_303_H
#define INC_303_H
#ifdef __cplusplus
extern "C"
{
#endif
    typedef struct
    {
        int *data;
        int size;
    } NumArray;

    NumArray *numArrayCreate(int *nums, int numsSize);

    int numArraySumRange(NumArray *obj, int left, int right);

    void numArrayFree(NumArray *obj);
#ifdef __cplusplus
}
#endif
#endif